// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FWeakObjectProperty.h"
#include "UObject/UnrealType.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FWeakObjectProperty::SCW_FWeakObjectProperty(FWeakObjectProperty* InWeakObjectProperty) : SCW_FObjectPropertyBase(InWeakObjectProperty), WeakObjectProperty(InWeakObjectProperty)
{

}

FWeakObjectProperty* SCW_FWeakObjectProperty::ToFWeakObjectProperty() const
{
	return WeakObjectProperty;
}
